Skip to main content
`Ctrl`+`K`

# STSetTransform

Sets a flag to indicate whether the transformed matrices are computed or not.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STSetTransform(ST st,PetscBool flg)

Logically Collective

## Input Parameters

- st - the spectral transformation context

- flg - the boolean flag

## Options Database Key

- -st_transform - toggle the computation of matrices

## Notes

This flag is intended for the case of polynomial eigenproblems solved via linearization. If this flag is off (default) the spectral transformation is applied to the linearization (handled by the eigensolver), otherwise it is applied to the original problem.

## See Also

ST: Spectral Transformation, `STMatSolve()`, `STMatMult()`, `STSetMatStructure()`, `STGetTransform()`

## Level

developer

## Location

src/sys/classes/st/interface/stset.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages